Bug 888006 - [kn] pofilter newlines test failed on a few msgids
Summary: [kn] pofilter newlines test failed on a few msgids
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks: 771481 888457
TreeView+ depends on / blocked
 
Reported: 2012-12-17 19:51 UTC by John Sefler
Modified: 2013-02-21 09:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 09:04:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0350 0 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2013-02-20 20:53:35 UTC

Description John Sefler 2012-12-17 19:51:35 UTC
Description of problem:

# (pofilter) newlines: Different line endings
msgid "Invalid argument specified: %s\n"
msgstr ""
"ಅಸಿಂಧುವಾದ ಆರ್ಗ್ಯುಮೆಂಟ್‌ ಅನ್ನು ಸೂಚಿಸಲಾಗಿದೆ: %s\n"
"\n"

^^ TWO MANY "\n" CHARACTERS AT THE END OF MSGSTR


# (pofilter) newlines: Different line endings
msgid ""
"Redeeming the subscription may take a few minutes.\n"
"Please provide an email address to receive notification\n"
"when the redemption is complete."
msgstr "ಚಂದಾದಾರಿಕೆಯನ್ನು ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆ ಕೆಲಹೊತ್ತು ಹಿಡಿಯಬಹುದು. ಹಿಂದಕ್ಕೆ ಪಡೆಯುವಿಕೆಯು ಪೂರ್ಣಗೊಂಡ ನಂತರ ಸೂಚಿಸಲು ಒಂದು ಇಮೈಲ್ ವಿಳಾಸವನ್ನು ಒದಗಿಸಿ."

^^ MISSING "\n" CHARACTERS IN THE MSGSTR.  THE CONSEQUENCE OF THIS CAN BE A VERY WIDE DIALOG.


Version-Release number of selected component (if applicable):
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.15-1.el6.x86_64


Additional info:
https://engineering.redhat.com/rt/Ticket/Display.html?id=180942

Comment 1 Shankar Prasad 2012-12-18 07:01:17 UTC
Fixed both the problems in subscription-manager-1.1.x

Shankar

Comment 2 Adrian Likins 2012-12-18 16:57:15 UTC
in rhel-64:

commit 889aef6a7545fdb9e7de1772311630747076288d
Author: Adrian Likins <alikins@redhat.com>
Date:   Tue Dec 18 11:45:26 2012 -0500

    887989,887995,887997,888006,887890,888010: new strings

Comment 4 John Sefler 2012-12-19 22:48:11 UTC
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.18-1.el6.x86_64


# (pofilter) newlines: Different line endings
msgid ""
"We have detected that you have multiple service levels on various products. Please select how you\n"
"want them assigned."
msgstr ""
"ನೀವು ಹಲವಾರು ಉತ್ಪನ್ನಗಳಿಗಾಗಿ ಅನೇಕ ಸೇವಾ ಮಟ್ಟದ ಒಪ್ಪಂದಗಳನ್ನು ಹೊಂದಿದ್ದೀರಿ\n"
"ಎಂದು ನಮಗೆ ತಿಳಿದುಬಂದಿದೆ. ಅವುಗಳನ್ನು ನೀವು ಹೇಗೆ ನಿಯೋಜಿಸಲು ಬಯಸುವಿರಿ\n"
"ಎನ್ನುವುದನ್ನು ಆಯ್ಕೆ ಮಾಡಿ."

PLEASE CHANGE THE USE OF "\n" IN THE MSGSTR LIKE THIS:

msgstr ""
"ನೀವು ಹಲವಾರು ಉತ್ಪನ್ನಗಳಿಗಾಗಿ ಅನೇಕ ಸೇವಾ ಮಟ್ಟದ ಒಪ್ಪಂದಗಳನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ನಮಗೆ ತಿಳಿದುಬಂದಿದೆ.\n"
"ಅವುಗಳನ್ನು ನೀವು ಹೇಗೆ ನಿಯೋಜಿಸಲು ಬಯಸುವಿರಿ ಎನ್ನುವುದನ್ನು ಆಯ್ಕೆ ಮಾಡಿ." 


Moving status back to NEW for this fix too.

Comment 5 Shankar Prasad 2012-12-20 06:36:10 UTC
Fixed the error reported in Comment#4

Thanks
Shankar

Comment 6 Adrian Likins 2013-01-04 18:21:18 UTC
fixed upstream, should be in 1.1.19

Comment 7 John Sefler 2013-01-08 21:12:01 UTC
Verifying Version...
[root@jsefler-6 ~]# rpm -q subscription-manager
subscription-manager-1.1.20-1.el6.x86_64


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo > /usr/share/locale/kn/LC_MESSAGES/rhsm.po
[root@jsefler-6 ~]# pofilter -t newlines /usr/share/locale/kn/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%
[root@jsefler-6 ~]# 


VERIFIED: pofilter newlines test is now passing for LANG kn


[root@jsefler-6 ~]# msgunfmt --no-wrap /usr/share/locale/kn/LC_MESSAGES/rhsm.mo | grep -A4 -B1 "We have detected"
msgid ""
"We have detected that you have multiple service levels on various products. Please select how you\n"
"want them assigned."
msgstr ""
"ನೀವು ಹಲವಾರು ಉತ್ಪನ್ನಗಳಿಗಾಗಿ ಅನೇಕ ಸೇವಾ ಮಟ್ಟದ ಒಪ್ಪಂದಗಳನ್ನು ಹೊಂದಿದ್ದೀರಿ ಎಂದು ನಮಗೆ ತಿಳಿದುಬಂದಿದೆ.\n"
"ಅವುಗಳನ್ನು ನೀವು ಹೇಗೆ ನಿಯೋಜಿಸಲು ಬಯಸುವಿರಿ ಎನ್ನುವುದನ್ನು ಆಯ್ಕೆ ಮಾಡಿ."
[root@jsefler-6 ~]# 


VERIFIED

Comment 9 errata-xmlrpc 2013-02-21 09:04:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0350.html


Note You need to log in before you can comment on or make changes to this bug.